
%global meadversion 0.7.7
%global namedversion 0.7.7.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead

%{?scl:%scl_package cal10n}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/cal10n-eap6}
%{!?scl:%global javadir %{_javadir}/cal10n-eap6}

%define maven_version 0.7.7.redhat-1

Name:           %{?scl_prefix}cal10n%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Compiler assisted localization library (CAL10N)
Group:          Development/Java

%if %with mead
Source100: cal10n-parent-0.7.7.redhat-1-scm-sources.zip
Source102: cal10n-site-0.7.7.redhat-1-sources.jar
Source103: cal10n-site-0.7.7.redhat-1.pom
Source104: cal10n-site-0.7.7.redhat-1.jar
Source105: maven-cal10n-plugin-0.7.7.redhat-1-javadoc.jar
Source106: maven-cal10n-plugin-0.7.7.redhat-1.jar
Source107: maven-cal10n-plugin-0.7.7.redhat-1.pom
Source108: maven-cal10n-plugin-0.7.7.redhat-1-sources.jar
Source109: cal10n-api-0.7.7.redhat-1.pom
Source110: cal10n-api-0.7.7.redhat-1-javadoc.jar
Source111: cal10n-api-0.7.7.redhat-1-tests.jar
Source112: cal10n-api-0.7.7.redhat-1-sources.jar
Source113: cal10n-api-0.7.7.redhat-1.jar
Source114: cal10n-parent-0.7.7.redhat-1-project-sources.tar.gz
Source115: cal10n-parent-0.7.7.redhat-1-javadoc.jar
Source116: cal10n-parent-0.7.7.redhat-1.pom
Source117: maven-cal10n-plugin-smoke-0.7.7.redhat-1.jar
Source118: maven-cal10n-plugin-smoke-0.7.7.redhat-1.pom
Source119: maven-cal10n-plugin-smoke-0.7.7.redhat-1-javadoc.jar
Source120: maven-cal10n-plugin-smoke-0.7.7.redhat-1-sources.jar
%endif

License:        MIT
URL:            http://cal10n.qos.ch
Provides:       %{?scl_prefix}cal10n%{?eap} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}cal10n%{?eap}-%{namedversion}-%{release}-root

%description
%{summary}.

%prep
%setup -q -n cal10n -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/cal10n-api-%{namedversion}.jar %{buildroot}%{javadir}/cal10n-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/cal10n-api-%{namedversion}-sources.jar %{buildroot}%{javadir}/cal10n-api-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%dir %{javadir}
%{javadir}/cal10n-api-%{namedversion}.jar
%{javadir}/cal10n-api.jar
%{javadir}/cal10n-api-%{namedversion}-sources.jar
%{javadir}/cal10n-api-sources.jar

%changelog
* Tue Feb 03 2015 Hui Wang <huwang@redhat.com> - 0.7.7-1.redhat_1.1
- Upgrade to 0.7.7-redhat-1

* Thu May 08 2014 Permaine Cheung <pcheung@redhat.com> - 0.7.3-2.redhat_4.1
- Rewrap

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 0.7.3-1.redhat_4.1
- build wrapper

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 0.7.3-1.redhat_4.1
- build wrapper

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 0.7.3-1.redhat_4.1
- build wrapper

